//
//  AppController.h
//  MyCalculator

#import <Cocoa/Cocoa.h>

#define BTN_PLUS		100
#define BTN_MINUS		101
#define BTN_MULTIPLE	102
#define BTN_DIVISION	103
#define BTN_RESULT		104
#define BTN_CLEAR		105

@class MyWindow;

@interface AppController : NSObject {
	int prevOperation;
	int isClear;
	
	int totalValue;
	
	IBOutlet MyWindow *myWindow;
	IBOutlet NSTextField *txtValue;
	IBOutlet NSTextField *txtOperation;
	IBOutlet NSTextField *txtHistory;
}

- (void)awakeFromNib;
- (void)processCalcul:(int)val;
- (void)processInput:(int)val;

- (IBAction) processCommand:(id)sender;
@end
