#import "MyWindow.h"
#import "AppController.h"

@implementation MyWindow
- (void)setAppController:(AppController *)a
{
	app = a;
	
	NSLog(@"set AppController: %@", app);
}

- (void)keyDown:(NSEvent *)event
{
	int keyCode;
	int val = -1;
	
	keyCode = [event keyCode];
	NSLog(@"KEY: %d", keyCode);
	
	if(keyCode >= 82 && keyCode <= 90) // 0~7
		val = keyCode - 82;
	else if(keyCode ==91) // 8
		val = 8;
	else if(keyCode ==92) // 8
		val = 9;
	else if(keyCode == 67) // *
		val = BTN_MULTIPLE;	
	else if(keyCode == 75) // / 
		val = BTN_DIVISION;
	else if(keyCode == 69) // +
		val = BTN_PLUS;
	else if(keyCode == 78) // -
		val = BTN_MINUS;
	else if(keyCode == 71) // c or clear
		val = BTN_CLEAR;
	else if(keyCode == 81) // = or enter or return
		val = BTN_RESULT;
	
	if(val != -1)
		[app processInput:val];
	
	[self interpretKeyEvents:[NSArray arrayWithObject:event]];
}
@end
